select
  nt.numdocumento as numero_nota
  , mo.numparcela || '/' || (select count(*) from movimento re where re.cdnota = nt.cdnota) as numero_parcela
  , mo.dtvencimento as data_vencimento
  , mo.valor as valor_parcela
  , pes.nome as fornecedor
  , pr.nome as produto
  , ni.qtde as quantidade_produto
  , mo.dtpagamento as data_pagamento
  , mo.vrpago as valor_pago
  , mo.dtcompensacao as data_compensacao
  , ccu.descricao as centro_custo
  ,CAST(((coalesce(mo.vrpago, mo.valor)*(cast(ni.vrtotal as double precision) / nt.valor))*(coalesce(nia.percentual,100)))/100 AS decimal(15,2)) as valor_apropriado
  , cg.numero as numero_gerencial
  , cg.descricao as conta_gerencial
from
  movimento mo
  join nota nt on nt.cdnota = mo.cdnota
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  left join notaitemapro nia on nia.cdnotaitem = ni.cdnotaitem
  left join centrocusto ccu on ccu.cdcentrocusto = nia.cdcentrocusto
  join contagerencial cg on cg.cdcontagerencial = ni.cdcontagerencial
where
  nt.tiponota = 'S'
  and mo.dtcompensacao between '2010-01-01' and '2030-12-31'
  and nt.cdnotavinculada is null